<?php

if(!class_exists('GKImageShowTemplate')){
	class GKImageShowTemplate{
		// 
		var $ID;
		// 
		var $config;
		// 
		var $path;
	 	// 
		var $settings;
		// 
		var $slides;
		// 
		function GKImageShowTemplate( $module_id, $settings, $base_path, $group_settings, $slide_data ){
			$this->ID = $module_id;
			$this->path = $base_path;
			$this->settings = $group_settings;
			$this->slides = $slide_data;
			//
			$this->parse($settings);
			$this->generate();
		}
		// 
		function returnJSData(){
			return array(
				"animation_speed" => $this->config['animation_speed'],
				"animation_interval" => $this->config['animation_interval'],
				"autoanimation" => $this->config['autoanimation'],
				"animation_type" => $this->config['animation_type'],
				"preloading" => $this->config['preloading'],
				"text_block_opacity" => $this->config['text_block_opacity'],
				"thumb_w" => $this->settings['thumb_x'],
				"thumb_h" => $this->settings['thumb_y'],
				"tabs_amount" => $this->config['tabs_amount']
			);
		}
		// 
		function parse($settings){
			// creating configuration array (hash)
			$this->config = array(
										"show_text_block" => true, // true|false
										"text_block_height" => 100,
										"text_block_bgcolor" => "#000",
										"text_block_opacity" => 0.5,
										"clean_xhtml" => true, // true |false
										"readmore_button" => true, // true |false
										"readmore_text" => "Read more",
										"title" => true, // true |false
										"title_link" => true, // true |false
										"title_limit" => 40,
										"text_limit" => 100,
										"wordcount" => 30,
										"tabsbar_width" => 200,
										"tabs_amount" => 10,
										"tabs_per_page" => 4,
										"tabs_margin" => 3,
										"tabs_position" => "left", // left|right
										"tabsbar_margin" => 5,
										"preloading" => true, // true |false
										"animation_speed" => 500,
										"animation_interval" => 5000,
										"autoanimation" => true, // true |false
										"animation_type" => 'opacity' // top|bottom|right|left|opacity
									);
													
			// exploding settings
			$settings = preg_replace("/\n$/", '', $settings);
			$exploded_settings = explode(';', $settings);
			// parsing
			for( $i = 0; $i < count($exploded_settings) - 1; $i++ )
			{
				// preparing pair key-value
				$pair = explode('=', trim($exploded_settings[$i]));
				// extracting key and value from pair	
				$key = $pair[0];
				$value = $pair[1];	
				// checking existing of key in config array
				if(isset($this->config[$key]))
				{
					// setting value for key
					$this->config[$key] = $value;
				}
			}	
		}
		// 
		function generate(){
			require(JModuleHelper::getLayoutPath('mod_gk_image_show', 'content'));
		}
	}
}

?>